#ifndef CONSTANTS_H
#define CONSTANTS_H

// Props van het scherm
const int SCR_WIDTH = 800;
const int SCR_HEIGHT = 600;
const int SCR_BPP = 32;
const int SCR_FPS = 60;

// Moeilijkheidsgraad van het spel
const int GAME_EASY = 1;
const int GAME_NORMAL = 2;
const int GAME_HARD = 3;

// Constants die de status van een individuele knop aangeven
// En de standaarbreedte/-hoogte/-randbreedte
const int BUTTON_OVER = 1;
const int BUTTON_CLICKD = 2;
const int BUTTON_NOT = 4;
const int BUTTON_WIDTH = 200;
const int BUTTON_HEIGHT = 60;
const int BUTTON_BORDER = 8;
const int BUTTON_XPOS = 600 - BUTTON_WIDTH / 2;

// Constants die aangeven in welke status het menu is:
// ze = De knoppen
// - STATE_AWAY: Button is out of the screen
// - STATE_MENU: Button is at it's given position
// - STATE_IN: Button is travelling to it's given position
// - STATE_OUT: Button is travelling away from it's position

const int STATE_MENU = 1;
const int STATE_AWAY = 2;
const int STATE_OUT = 3;
const int STATE_IN = 4;

// Constants die aangeven in welke staat het faden is
// T = to
// C = color (ondoorzichtig)
// A = alpha (doorzichtig)

const int FADE_CTA = 1;
const int FADE_ATC = 2;
const int FADE_A = 3;
const int FADE_C = 4;

// Constants voor de memory kaarten

const int CARD_SELECTED = 1;
const int CARD_NOTSEL = 2;

const int CARD_NONE = 1;
const int CARD_V = 2;
const int CARD_X = 3;

// Constants voor de status van het spel
// Kaart nummer 1 voor speler 1
// Kaart nummer 2 voor speler 1
// Pauze
// Kaart nummer 1 voor speler 2
// Kaart nummer 2 voor speler 2
// Pauze

const int MEM_P1CARD1 = 1;
const int MEM_P1CARD2 = 2;
const int MEM_BREAK1 = 5;
const int MEM_P2CARD1 = 3;
const int MEM_P2CARD2 = 4;
const int MEM_BREAK2 = 6;

// ????
const int HELP_MAX = 7;

#endif