#ifndef FADER_H
#define FADER_H

#include "SDL/SDL.h"

class cFader {
	private:
		int status; // See the FADE_ constants for more info.
		int duration; // In frames!
		int count; // The current frame count since the fading has started.
		Uint32 endColor; // Color which it fades out to, or fades in from.
						// Give NULL to make it fade from standard color.
		Uint32 standardColor;
		Uint32 currentColor;

	public:
		void fadeOut(int pDuration, Uint32 fadeColor);
		void fadeIn(int pDuration, Uint32 fadeColor);
		void prepareFade();
		int fadeRender();
		cFader(Uint32 pStandardColor);
		SDL_Surface* fadeSurface;
};

#endif
