#include "bFuncs.h"
#include "Fader.h"
#include "Globals.h"
#include "Constants.h"


void buttonPlay() {
	bPlay.menuState = STATE_OUT;
	bHelp.menuState = STATE_OUT;
	bAbout.menuState = STATE_OUT;
	bExit.menuState = STATE_OUT;

	bEasy.menuState = STATE_IN;
	bNormal.menuState = STATE_IN;
	bHard.menuState = STATE_IN;
	bBack_Play.menuState = STATE_IN;

	if (aboutState == STATE_MENU || aboutState == STATE_IN) {
		aboutState = STATE_OUT;
	}
}

void buttonHelp() {
	bPlay.menuState = STATE_OUT;
	bHelp.menuState = STATE_OUT;
	bAbout.menuState = STATE_OUT;
	bExit.menuState = STATE_OUT;
	
	toGame = false;
	toMenu = false;
	toHelp = true;

	fader.fadeOut(SCR_FPS * 2, SDL_MapRGB(screen->format, 0, 0, 0));

	if (aboutState == STATE_MENU || aboutState == STATE_IN) {
		aboutState = STATE_OUT;
	}
}

void buttonAbout() {
	if (aboutState == STATE_AWAY) {
		aboutVisible = true;
		aboutState = STATE_IN;
	}

	if (aboutState == STATE_MENU) {
		aboutState = STATE_OUT;
	}
}

void buttonExit() {
	bPlay.menuState = STATE_OUT;
	bHelp.menuState = STATE_OUT;
	bAbout.menuState = STATE_OUT;
	bExit.menuState = STATE_OUT;
	
	menuExit = true;

	if (aboutState == STATE_MENU || aboutState == STATE_IN) {
		aboutState = STATE_OUT;
	}
}

void buttonEasy() {
	toMenu = false;
	toGame = true;
	toHelp = false;

	fader.fadeOut(SCR_FPS * 2, SDL_MapRGB(screen->format, 0, 0, 0));

	bEasy.menuState = STATE_OUT;
	bNormal.menuState = STATE_OUT;
	bHard.menuState = STATE_OUT;
	bBack_Play.menuState = STATE_OUT;

	gamemode = GAME_EASY;
}

void buttonNormal() {
	toMenu = false;
	toGame = true;
	toHelp = false;

	fader.fadeOut(SCR_FPS * 2, SDL_MapRGB(screen->format, 0, 0, 0));

	bEasy.menuState = STATE_OUT;
	bNormal.menuState = STATE_OUT;
	bHard.menuState = STATE_OUT;
	bBack_Play.menuState = STATE_OUT;

	gamemode = GAME_NORMAL;
}

void buttonHard() {
	toMenu = false;
	toGame = true;
	toHelp = false;

	fader.fadeOut(SCR_FPS * 2, SDL_MapRGB(screen->format, 0, 0, 0));

	bEasy.menuState = STATE_OUT;
	bNormal.menuState = STATE_OUT;
	bHard.menuState = STATE_OUT;
	bBack_Play.menuState = STATE_OUT;

	gamemode = GAME_HARD;
}

void buttonBack_Play() {
	bPlay.menuState = STATE_IN;
	bHelp.menuState = STATE_IN;
	bAbout.menuState = STATE_IN;
	bExit.menuState = STATE_IN;

	bEasy.menuState = STATE_OUT;
	bNormal.menuState = STATE_OUT;
	bHard.menuState = STATE_OUT;
	bBack_Play.menuState = STATE_OUT;
}

void buttonResume() {
	bResume.menuState = STATE_OUT;
	bBack_Menu.menuState = STATE_OUT;
	bExit_Game.menuState = STATE_OUT;

	memory.menuStatus = false;
}

void buttonBack_Menu() {
	bResume.menuState = STATE_OUT;
	bBack_Menu.menuState = STATE_OUT;
	bExit_Game.menuState = STATE_OUT;

	toMenu = true;
	toGame = false;
	toHelp = false;

	fader.fadeOut(SCR_FPS * 2, 0);
}

void buttonExit_Game() {
	// loop = false;
	toWindows = true;

	bResume.menuState = STATE_OUT;
	bBack_Menu.menuState = STATE_OUT;
	bExit_Game.menuState = STATE_OUT;
}