#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include "SDL.h"
#include "SDL_ttf.h"
#include <string>

int Init();
int Game();
int Exit();
int startMemory(int difficulty);
int applySurface(int x, int y, SDL_Surface* src);
int regulateFPS(int timeS, int timeE);
int initButtons();
int loadPictures();
int getIndex(int x, int y, int w);
int applySurfaceMid(int x, int y, SDL_Surface* src, SDL_Surface* dst);
int button(std::string caption, int x, int y, int mX, int mY, bool buttonDown, TTF_Font* vont, bool leftMouseButton);
int HSLtoRGB(float h, float s, float l);
int applySurfaceSprite(int x, int y, SDL_Surface* src, SDL_Surface* dst, SDL_Rect spriteRect);

void makeRect(int x, int y, int width, int height, int border, Uint32 borderColor, Uint32 midColor);
void renderBackground(int* bVx, int* bVy, int* horDir, int* verDir);
void updateButtons(int x, int y, Uint8 mouseState);
void renderMenu(int tX, int tY, Uint8 mouseState, int* bVx, int* bVy, int* horDir, int* verDir);
void func();
void balk(int x, int y, int w, int h, Uint32 clr);
void displayScore(int p1, int p2);
void putpixel(SDL_Surface *surface, int x, int y, Uint32 pixel);

float cardBackground(float degMod, bool disabled);

SDL_Surface* loadImage(std::string filename);

#endif